GMX-SANS(1)

NAME
gmx-sans - Compute small angle neutron scattering spectra

SYNOPSIS

gmx sans [-s [<.tpr>]] [-f [<.xtc/.trr/...>]] [-n [<.ndx>]]
         [-d [<.dat>]] [-pr [<.xvg>]] [-sq [<.xvg>]]
         [-prframe [<.xvg>]] [-sqframe [<.xvg>]] [-b <time>]
         [-e <time>] [-dt <time>] [-tu <enum>] [-xvg <enum>]
         [-bin <real>] [-mode <enum>] [-mcover <real>]
         [-method <enum>] [-[no]pbc] [-grid <real>] [-startq <real>]
         [-endq <real>] [-qstep <real>] [-seed <int>]

DESCRIPTION

gmx sans computes SANS spectra using Debye formula. It currently uses topology file (since it need to assigne element for each atom).

Parameters:

-pr Computes normalized g(r) function averaged over trajectory

-prframe Computes normalized g(r) function for each frame

-sq Computes SANS intensity curve averaged over trajectory

-sqframe Computes SANS intensity curve for each frame

-startq Starting q value in nm

-endq Ending q value in nm

-qstep Stepping in q space

Note: When using Debye direct method computational cost increases as 1/2 * N * (N - 1) where N is atom number in group of interest.

WARNING: If sq or pr specified this tool can produce large number of files! Up to two times larger than number of frames!

OPTIONS

Options to specify input files:

-s [<.tpr>] (topol.tpr)
    Portable xdr run input file

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-n [<.ndx>] (index.ndx) (Optional)
    Index file

-d [<.dat>] (nsfactor.dat) (Optional)
    Generic data file

    Options to specify output files:

-pr [<.xvg>] (pr.xvg)
    xvgr/xmgr file

-sq [<.xvg>] (sq.xvg)
    xvgr/xmgr file

-prframe [<.xvg>] (prframe.xvg) (Optional)
    xvgr/xmgr file

-sqframe [<.xvg>] (sqframe.xvg) (Optional)
    xvgr/xmgr file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-tu <enum> (ps)
    Unit for time values: fs, ps, ns, us, ms, s

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-bin <real> (0.2)
    [HIDDEN]Binwidth (nm)

-mode <enum> (direct)
    Mode for sans spectra calculation: direct, mc

-mcover <real> (-1)
    Monte-Carlo coverage should be -1(default) or (0,1]

-method <enum> (debye)
    [HIDDEN]Method for sans spectra calculation: debye, fft

-[no]pbc (yes)
    Use periodic boundary conditions for computing distances

-grid <real> (0.05)
    [HIDDEN]Grid spacing (in nm) for FFTs

-startq <real> (0)
    Starting q (1/nm)

-endq <real> (2)
    Ending q (1/nm)

-qstep <real> (0.01)
    Stepping in q (1/nm)

-seed <int> (0)
    Random seed for Monte-Carlo

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team